ApplicationPluginConvention (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.plugins

## [Java] Class ApplicationPluginConvention

- org.gradle.api.plugins.ApplicationPluginConvention

- A Convention used for the ApplicationPlugin.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationPluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Iterable<String>` | `getApplicationDefaultJvmArgs()` Array of string arguments to pass to the JVM when running the application
    `CopySpec` | `getApplicationDistribution()`
    `String` | `getApplicationName()` The name of the application.
    `String` | `getMainClassName()` The fully qualified name of the application's main class.
    `Project` | `getProject()`
    `void` | `setApplicationDefaultJvmArgs(Iterable<String> applicationDefaultJvmArgs)`
    `void` | `setApplicationDistribution(CopySpec applicationDistribution)`
    `void` | `setApplicationName(String applicationName)`
    `void` | `setMainClassName(String mainClassName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ApplicationPluginConvention(Project project)

  - ### Method Detail

    - #### public Iterable<String> getApplicationDefaultJvmArgs()

      Array of string arguments to pass to the JVM when running the application

    - #### public CopySpec getApplicationDistribution()

      The specification of the contents of the distribution.

      Use this CopySpec to include extra files/resource in the application distribution.

           apply plugin: 'application'

           applicationDistribution.from("some/dir") {
             include "*.txt"
           }

      Note that the application plugin pre configures this spec to; include the contents of "`src/dist`", copy the application start scripts into the "`bin`" directory, and copy the built jar and its dependencies into the "`lib`" directory.

    - #### public String getApplicationName()

      The name of the application.

    - #### public String getMainClassName()

      The fully qualified name of the application's main class.

    - #### public final Project getProject()

    - #### public void setApplicationDefaultJvmArgs(Iterable<String> applicationDefaultJvmArgs)

    - #### public void setApplicationDistribution(CopySpec applicationDistribution)

    - #### public void setApplicationName(String applicationName)

    - #### public void setMainClassName(String mainClassName)